# getStatStageChangeDescriptionKey | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getStatStageChangeDescriptionKey

- getStatStageChangeDescriptionKey(
  stages: number,
  isIncrease: boolean,
  ):
  | "battle:statRose"
  | "battle:statFell"
  | "battle:statSharplyRose"
  | "battle:statHarshlyFell"
  | "battle:statRoseDrastically"
  | "battle:statSeverelyFell"
  | "battle:statWontGoAnyHigher"
  | "battle:statWontGoAnyLower"

  Provides the translation key corresponding to the amount of stat stages and whether those stat stages are positive or negative.

  #### Parameters

  - stages: number

    the amount of stages

  - isIncrease: boolean

    dictates a negative (`false`) or a positive (`true`) stat stage change

  #### Returns
  | "battle:statRose"
  | "battle:statFell"
  | "battle:statSharplyRose"
  | "battle:statHarshlyFell"
  | "battle:statRoseDrastically"
  | "battle:statSeverelyFell"
  | "battle:statWontGoAnyHigher"
  | "battle:statWontGoAnyLower"

  the translation key fitting the conditions described by `stages` and `isIncrease`

  - Defined in src/enums/stat.ts:48